# dijkstra\_qcmapper
```
`* Project Title 란에 프로젝트 명 입력 
* 프로젝트에 대한 간단한 설명 작성 
```
`(예) 이 프로젝트는 dijkstra’s shortest path 알고리즘을 적용한 양자컴퓨팅 회로 합성 SW 입니다. 주요 기능 및 특징은 다음과 같습니다. 
- 양자회로 합성 과정에서 양자상태 라우팅을 전체 회로 최적화 관점보다는 개별 2-큐빗 게이트의 최적화 측면에서 접근하기 위해 전산학에서 잘 알려진 dijkstra’s 최소길이 경로 찾기 알고리즘을 적용함
- Dijkstra’s 최소길이 경로 찾기 알고리즘을 적용하면, 전체 회로의 규모 측면에서 불리한 점이 있기 때문에, 사용자가 지정한 횟수 만큼 반복하여 최적 회로 합성 수행함


## Table of Contents
- [Environment & Prerequisites]()(#environment-and-prerequisites)
- [Installation]()(#installation)
- [Usage]()(#usage)
- [Authors]()(#authors)

\<br\>


## Environment and Prerequisites
```
`* 개발 언어 및 실행환경 정보 작성 (예, OS, 컴파일러, Hardware 등)
* 소스코드를 실행하기 전에 설치해야 할 package나 의존성이 걸리는 문제들 기술 
```
`- 개발언어:  Python 3
- OS:  Ubuntu 20.04 

\<br\>

## Installation 
```
`* 소스코드 설치 방법을 단계별 예제와 함께 설명 
* 만약 상기 파트에서 설명해야 할 내용이 많다면 별도의 파일(예, md, html 등) 작성 후, 링크로 삽입 추천 
```
`
(예) 
- 소스코드를 다운로드 받거나 git 명령어를 통해 소스코드를 다운받습니다. 

```bash
`git clone https://gist.github.com/PurpleBooth/109311bb0361f32d87a2
```
`
- 소스코드의 프로젝트 경로로 이동하여 관련 패키지를 설치합니다

```bash
`cd code-package
make or pip install \<package-name\> 
```
`\<br\>


## Usage 

```
`* 소스코드 실행 및 사용 방법 설명 (Usage Example 포함)
```
`import dijkstra\_qcmapper
\<br\>. 

\<br\>
\<br\>
\<br\>
\<br\>


## Authors
```
`* 개발에 참여한 개발자 정보 작성 
* 개발자 정보 표기방법:  \<성명\>  \<이메일 주소\>   
```
`- 황용수 (양자기술연구단/양자컴퓨팅연구실) yhwang@etri.re.kr
\<br\>
\<br\>
\<br\>


## Version (optional)
```
`* 현재 버전 정보 입력 (예) major.minor.patch (1.0.0) / release date (2021.10.30) 
* 이전 버전 정보 및 관련 url 정보 
```
`- 현재버전 : 0.1.0
\<br\>
\<br\>


## Thanks (optional)
```
`* 프로젝트 개발에 도움을 준 사람 또는 타 프로젝트 정보 입력  
```
`\<br\>
\<br\>

