
import os
from pprint import pprint

import dijkstra_qcmapper.dijkstra_qcmapper as qcmapper

path_qasm = os.path.join("Sample_QASM", "3_17_14.qasmf")
path_qchip = os.path.join("Sample_Qchip", "file_qchip_17.json")
path_job = "."

synthesis_option = {"option" : {"allow_swap": True,
								"goal": "system_code",
								"iteration": 10,
								"qubit_connectivity": "user",
								"initial_mapping_option": "random"},
					"path_job": path_job,
					"qchip": path_qchip}

result = qcmapper(qasm_code=path_qasm, arguments=synthesis_option)
pprint(result)